Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class Group

[frames | no frames]

## Class Group

    DrawObject --+
                 |
                Group

A group of other FloatCanvas Objects

Not all DrawObject methods may apply here. In particular, you can't Bind events to a group.

Note that if an object is in more than one group, it will get drawn more than once.

Method Summary
| `__init__(self, ObjectList, InForeground, IsVisible)`
| `AddObject(self, obj)`
| `AddObjects(self, Objects)`
| `CalcBoundingBox(self)`
| `SetColor(self, Color)`
| `SetFillColor(self, Color)`
| `SetFillStyle(self, FillStyle)`
| `SetLineColor(self, Color)`
| `SetLineStyle(self, LineStyle)`
| `SetLineWidth(self, LineWidth)`

Class Variable Summary

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:45 2007 | http://epydoc.sf.net